Skip to main content
GET
Get a cycle's reconciliation result

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

cycleId
string<uuid>
required

Cycle id.

Response

OK

cycleId
string<uuid>
required

Reconciled cycle id.

matched
boolean
required

True iff reason == MATCHED.

reason
enum<string>
required

Deterministic outcome class.

Available options:
SOURCE_MISSING,
SOURCE_INCOMPLETE,
MATCHED,
SIDE_MISMATCH,
AMOUNT_MISMATCH
reconciledAt
string<date-time>
required

Reconciliation instant.

clearingAmount
string

The active FINAL ROC's canonical magnitude (evidence).

completeness
enum<string>

Derived from reason; omitted when the reason compared nothing (SOURCE_MISSING).

Available options:
PARTIAL,
FINAL
mismatchDetail
string

Explanation for a non-MATCHED outcome.

rocContentSha256
string

ROC content hash (FINAL comparison only).

rocRevision
integer<int64>

ROC revision reconciled against (FINAL comparison only).

rocSourceDocumentId
string

ROC source document id (FINAL comparison only).

rocSourceSystem
string

ROC source system (FINAL comparison only).

settledAmount
string

The settled instruction's canonical magnitude (evidence).